Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class DiscountPresentation

    java.lang.Object
      com.bea.commerce.ebusiness.price.service.DiscountPresentation

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  OrderAdjustmentPresentation

Deprecated See BEA Commerce product offering

    @Deprecated
    public class DiscountPresentation

extends Object
implements Serializable

This class is used to hold information corresponding to pricing adjustments to a Line item. A List of DiscountPresentation objects will be attached to a Line item to show adjustments to the price of that Line item.

See Also
  `PricingReply`, `Line`, Serialized Form

Constructor Summary
`DiscountPresentation(double quantity, Money unitPrice, Money discount, String computation, String reason)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getComputation()` Deprecated See BEA Commerce product offering
`Money` | `getDiscount()` Deprecated See BEA Commerce product offering
`double` | `getQuantity()` Deprecated See BEA Commerce product offering
`String` | `getReason()` Deprecated See BEA Commerce product offering
`String` | `getShortText()` Deprecated See BEA Commerce product offering
`Money` | `getUnitPrice()` Deprecated See BEA Commerce product offering
`void` | `set(double quantity, Money unitPrice, Money discount, String computation, String reason)` Deprecated See BEA Commerce product offering
`void` | `setComputation(String computation)` Deprecated See BEA Commerce product offering
`void` | `setDiscount(Money discount)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(double quantity)` Deprecated See BEA Commerce product offering
`void` | `setReason(String reason)` Deprecated See BEA Commerce product offering
`void` | `setUnitPrice(Money unitPrice)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscountPresentation

    public DiscountPresentation(double quantity,
                                Money unitPrice,
                                Money discount,
                                String computation,
                                String reason)

  Deprecated See BEA Commerce product offering

  Construct a DiscountPresentation object with the specified values.

  Parameters
    `quantity` - a double value specifying the quantity of the Line item corresponding to this presentation object.
    `unitPrice` - the discounted unit price for this quantity of the Line.
    `discount` - the amount of money discounted for this quantity of the Line.
    `computation` - a string describing the computation that produced the actual unit price from the original unit price.
    `reason` - a string describing the reason this quantity of the Line was adjusted.
  See Also
    `Line`, `Money`

Method Detail

### set

    public void set(double quantity,
                    Money unitPrice,
                    Money discount,
                    String computation,
                    String reason)

  Deprecated See BEA Commerce product offering

  Initialize the DiscountPresentation object with the specified values.

  Parameters
    `quantity` - a double value specifying the quantity of the Line item corresponding to this presentation object.
    `unitPrice` - the discounted unit price for this quantity of the Line.
    `discount` - the amount of money discounted for this quantity of the Line.
    `computation` - a string describing the computation that produced the actual unit price from the original unit price.
    `reason` - a string describing the reason this quantity of the Line was adjusted.
  See Also
    `Line`, `Money`

### getQuantity

    public double getQuantity()

  Deprecated See BEA Commerce product offering

  Retrieves the quantity of the Line for which this adjustment applies.

  Returns
    the quantity to which this adjustment applies.

### setQuantity

    public void setQuantity(double quantity)

  Deprecated See BEA Commerce product offering

  Sets the quantity of the Line for which this adjustment applies.

  Parameters
    `quantity` - a double value corresponding to the quantity for this adjustment.

### getUnitPrice

    public Money getUnitPrice()

  Deprecated See BEA Commerce product offering

  Returns
    the actual per unit price for this quantity of the Line after adjustment.

### setUnitPrice

    public void setUnitPrice(Money unitPrice)

  Deprecated See BEA Commerce product offering

  Sets the actual per unit price after adjustment for the Line.

  Parameters
    `unitPrice` - the new unit price for this quantity of the Line.

### getDiscount

    public Money getDiscount()

  Deprecated See BEA Commerce product offering

  Returns
    the amount of the adjustment for this quantity of the Line. More specifically, (<base unit price> * <quantity>) - (<actual unit price> * <quantity>) This value is positive for adjustments that reduce the cost of the Line. Negative otherwise.

### setDiscount

    public void setDiscount(Money discount)

  Deprecated See BEA Commerce product offering

  Sets the actual amount discounted for this quantity of the Line.

  Parameters
    `discount` - the amount discounted. More specifically, (<base unit price> * <quantity>) - (<actual unit price> * <quantity>)

### getComputation

    public String getComputation()

  Deprecated See BEA Commerce product offering

  Retrieve the computation string associated with this adjustment. This value will typically be something like: "10% off" or "$5 off".

### setComputation

    public void setComputation(String computation)

  Deprecated See BEA Commerce product offering

  Sets the computation string associated with the computation of this adjustment

  Parameters
    `computation` - a String corresponding to how the actual unit price was derived from the base unit price.

### getReason

    public String getReason()

  Deprecated See BEA Commerce product offering

  Retrieve the string describing the reason for the adjustment, For instance: "Spring Sale" or "First time buyer discount".

### setReason

    public void setReason(String reason)

  Deprecated See BEA Commerce product offering

  Sets the string describing the reason for the adjustment.

### getShortText

    public String getShortText()

  Deprecated See BEA Commerce product offering

  Returns
    a string that includes both the computation and reason in the form of "Discount: <computation> - <reason>".

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  This method is intended for debugging and may be changed at any time. The method returns a string containing all the values for all fields in this class.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved